Skip to content

Resolve Tools

POST
/api/agents/resolve-tools
curl --request POST \
--url https://example.com/api/agents/resolve-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "structured_tools": [ "example" ], "unstructured_tools": [ "example" ] }'

Resolve logical tool names to environment-specific Databricks resource ids.

Media typeapplication/json
ResolveToolsRequest
object
structured_tools
Structured Tools
Array<string>
unstructured_tools
Unstructured Tools
Array<string>
Examplegenerated
{
"structured_tools": [
"example"
],
"unstructured_tools": [
"example"
]
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}